This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459801 - nbd/server.c:nbd_receive_request():L706: read failed when do migration_cancel
nbd/server.c:nbd_receive_request():L706: read failed when do migration_cancel
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Eric Blake
Suqin Huang
:
Depends On:
Blocks: 1473046
  Show dependency treegraph
 
Reported: 2017-06-08 04:22 EDT by Suqin Huang
Modified: 2017-08-01 04:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suqin Huang 2017-06-08 04:22:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-8.el7.x86_64

How reproducible:
2/2

Steps to Reproduce:
1. Server:

# qemu-nbd -f qcow2 rhel74-64-virtio.qcow2 -p 9000 -t --share=2

2. Client:
Boot up guest

cmd:

/usr/libexec/qemu-kvm \
    -S  \
    -name 'avocado-vt-vm1'  \
    -sandbox off  \
    -machine pc  \
    -nodefaults  \
    -vga cirrus  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/var/tmp/avocado_dGGu2S/monitor-qmpmonitor1-20170608-041234-CUqSlEp0,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/var/tmp/avocado_dGGu2S/monitor-catch_monitor-20170608-041234-CUqSlEp0,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control \
    -device pvpanic,ioport=0x505,id=idHoC3M4  \
    -chardev socket,id=serial_id_serial0,path=/var/tmp/avocado_dGGu2S/serial-serial0-20170608-041234-CUqSlEp0,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20170608-041234-CUqSlEp0,path=/var/tmp/avocado_dGGu2S/seabios-20170608-041234-CUqSlEp0,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20170608-041234-CUqSlEp0,iobase=0x402 \
    -device ich9-usb-ehci1,id=usb1,addr=0x1d.7,multifunction=on,bus=pci.0 \
    -device ich9-usb-uhci1,id=usb1.0,multifunction=on,masterbus=usb1.0,addr=0x1d.0,firstport=0,bus=pci.0 \
    -device ich9-usb-uhci2,id=usb1.1,multifunction=on,masterbus=usb1.0,addr=0x1d.2,firstport=2,bus=pci.0 \
    -device ich9-usb-uhci3,id=usb1.2,multifunction=on,masterbus=usb1.0,addr=0x1d.4,firstport=4,bus=pci.0 \
    -drive id=drive_image1,if=none,snapshot=off,aio=native,cache=none,format=raw,file=nbd:10.73.196.131:9000 \
    -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=0x3 \
    -device virtio-net-pci,mac=9a:15:16:17:18:19,id=idmk5xPz,vectors=4,netdev=iddxJKCe,bus=pci.0,addr=0x4  \
    -netdev tap,id=iddxJKCe,vhost=on,vhostfd=37,fd=36 \
    -m 4096  \
    -smp 4,cores=2,threads=1,sockets=2  \
    -cpu 'Westmere',+kvm_pv_unhalt \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -vnc :2  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off,strict=off \
    -enable-kvm \
    -incoming tcp:0:5200


3. Do live migration
{'execute': 'migrate', 'arguments': {'uri': 'tcp:localhost:5200', 'blk': False, 'inc': False}, 'id': 'Ig1TYidk'}

Actual results:

nbd/server.c:nbd_receive_request():L706: read failed error show in server
guest can be migrated successfully


Expected results:


Additional info:
Comment 2 Suqin Huang 2017-06-08 05:02:54 EDT
the error happen before the migration operation.

boot up src image and boot up dst image, then the error show
Comment 5 Suqin Huang 2017-06-14 05:11:58 EDT
I can reproduce with 

qemu-kvm-rhev-2.8.0-6.el7.x86_64

do migration cancel in src guest:

src:
(qemu) migrate -d tcp:0:5200
(qemu) migrate_cancel 

result:

dst guest:
(qemu) qemu-kvm: Unknown combination of migration flags: 0
qemu-kvm: error while loading state section id 3(ram)
qemu-kvm: load of migration failed: Invalid argument


server:

# qemu-nbd -f qcow2 rhel74-64-virtio-scsi.qcow2 --share=4 -t -p 9000
nbd/server.c:nbd_receive_request():L710: read failed
Comment 6 Suqin Huang 2017-06-14 05:13:03 EDT
not the same as Bug 1458725, as it just happen when do migrate_cancel.

migration canbe do successfully if didn't cancel it.

Note You need to log in before you can comment on or make changes to this bug.